Subject: Re: PPC64: G5 & 4k/64k page size (was: Re: Call for report - G5/PPC970 status)

From: Michael Ellerman <[email-masked]>
Date: Tue, 07 Jan 2020 11:39:26 +1100

"Aneesh Kumar K.V" <[email-masked]> writes:
> Romain Dolbeau <[email-masked]> writes:
>
>> Le sam. 21 déc. 2019 à 05:31, Aneesh Kumar K.V
>> <[email-masked]> a écrit :
>>> I don't have direct access to this system, I have asked if we can get a run
>>> with 64K.
>>
>> OK, thanks! Do you know which model it is? It seems to be working on
>> some systems,
>> but we don't have enough samples to figure out why at this time, I think.
>>
>>> Meanwhile is there a way to find out what caused MachineCheck? more
>>> details on this? I was checking the manual and I don't see any
>>> restrictions w.r.t effective address. We now have very high EA with 64K
>>> page size.
>>
>> Sorry, no idea, completely out of my depth here. I can try some kernel
>> (build, runtime) options and/or patch, but someone will have to tell
>> me what to try,
>> as I have no ideas.
>
>
> Can you try this change.
>
> modified   arch/powerpc/include/asm/book3s/64/mmu-hash.h
> @@ -580,7 +580,7 @@ extern void slb_set_size(u16 size);
>  #if (MAX_PHYSMEM_BITS > MAX_EA_BITS_PER_CONTEXT)
>  #define MAX_KERNEL_CTX_CNT	(1UL << (MAX_PHYSMEM_BITS - MAX_EA_BITS_PER_CONTEXT))
>  #else
> -#define MAX_KERNEL_CTX_CNT	1
> +#define MAX_KERNEL_CTX_CNT	4
>  #endif

Didn't help.

Same crash, here's a previous one OCR'ed from a photo:

Oops: Machine check, sig: 7 [#1]
BE PAGE SIZE-64 MMU-Hash SMP NR_CPUS 4 NUMA PowerMac
Modules linked in:
CPU: PID: 1 Comn: init Tainted: G M 5.5.0-rc4-gcc-8.2.0-00919-g443b9413a05e #1465
NIP: c00000000026f528 LR: c000000000296138 CTR: 0000000000000000
REGS: ce0000000ffa3d70 TRAP: 0200 Tainted: G M (5.5.0-rc-gcc-8.2.0-00919-g443b9413a05e)
MSR: 9000000000109032 <SF, HV, EE, ME, IR, DR, RI> CR: 24282048 XER: 00000000
DAR: c00c000000612c80 DSISR: 00000400 IRQ MASK: 8
GPR00: c0000000002970d0 c0000001bc343a90 c000000001399600 c0000001bc01c800
GPR04: ce000001bc390000 ce000001bc3439d4 c0000001bc343a9c c0000001bb4b73b8
GPR08: c0000001bc320000 0000000000612c78 c000000001442a98 0000000000000fe0
GPR12: 7f7f7f7f7f7f7f7f c0000000016a0000 0000000000000000 00000000f7df38c8
GPR16: 0000000000000002 0000000000000000 00000000ffb14bac 00000000f7df5690
GPRZ0: 00000000f7df26c4 000000000000000d 0000000000008000 00000000f7ddfc0c
GPR24: ffffffffffffff9c 0000000000000010 0000000000000002 c0000001bc343db8
GPR28: c000000000296138 c00c000000612c78 c0000001bc390000 c0000001bc01c800
NIP [c0000000626f528] .kmem_cache_free+8x58/0x140
LR [c000000000296138] .putname.0x08/0xa
Call Trace:
c0000001bc343b40 [c000000000296138] .putname+0x88/0xa0
c0000001bc343bc0 [c0000000002970d0] .filename_lookup.part.76+0xb0/0x160
ce000001bc343d40 [c000008000279b20] .do_faccessat+0xe0/0x380
c0000001bc343e20 [c00000000000a40c] systen_call+0x5c/0x68
Instruction dump:
408201e8 2fa30000 419e0080 fb8100c0 fb4100080 fb610088 789d8502 3d22000b
39499498 1d3d0038 ebaa0000 7fbd4a14 <e93d0008> 712a0001 40820240 3422001e

cheers